// REMNANTS OF NAEZITH, JUMP-PAD SHADER
#version 110
uniform vec3 u_color;
uniform float u_time;
uniform float u_angle;
uniform float u_power;
uniform float u_zoom;
uniform vec2 u_cam_pos;

const float ripple_count = 0.06;
const float ripple_speed = 3.0;
const float border_size = 2.0;

void main() {
  vec4 col = vec4(u_color, 0.6);
  
  vec2 position = u_cam_pos + gl_FragCoord.xy * u_zoom;
  
  float ripper = position.x * sin(u_angle) + position.y * cos(u_angle);
  col.a *= 1. - mod(ripper * ripple_count + u_power * u_time * ripple_speed, 0.8);
  
  gl_FragColor = col;
}